PREVIEW
nged
BRL-CAD
BRL-CAD User Commands

# preview

Allows the user to preview animation scripts in MGED.

        preview

        -v
        -d delay
        -D start_frame_number
        K end_frame_number
        rt_script_file

## DESCRIPTION

Allows the user to preview animation scripts in MGED. The -d option provides a delay in seconds to be applied between each frame (the default is no delay). The -D option allows the user to specify a starting frame number, and the -K option allows the specification of an ending frame number. The -v flag indicates that the objects displayed in the MGED graphics window should be displayed in evaluated mode, as would be the result of the `ev` command. Note that this may significantly slow the preview.

## EXAMPLES

The example shows the use of the `preview` command to preview specified frames of an animation script.

### Preview an animation script.

mged>`preview -D 101 -K 237 script.rt`

Displays the animation script stored in the file named script.rt from frame number 101 through frame number 237.

## AUTHOR

BRL-CAD Team

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>, or via the "cadbug.sh" script.